Package javax.validation

# Interface ConstraintValidatorContext

public interface ConstraintValidatorContext

Version:
  $Rev$ $Date$

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ConstraintValidatorContext.ConstraintViolationBuilder`

## Method Summary

Modifier and Type
Method
Description
`ConstraintValidatorContext.ConstraintViolationBuilder`
`buildConstraintViolationWithTemplate(String messageTemplate)`
`void`
`disableDefaultConstraintViolation()`
`String`
`getDefaultConstraintMessageTemplate()`
`<T> T`
`unwrap(Class<T> type)`

## Method Details

### disableDefaultConstraintViolation

void disableDefaultConstraintViolation()

### getDefaultConstraintMessageTemplate

String getDefaultConstraintMessageTemplate()

### buildConstraintViolationWithTemplate

ConstraintValidatorContext.ConstraintViolationBuilder buildConstraintViolationWithTemplate(String messageTemplate)

### unwrap

<T> T unwrap(Class<T> type)

Since:
  1.1